{ config, pkgs, lib, ... }:

{
  c3d2.hq.statistics.enable = true;

  networking.firewall.enable = false;

  services.toxBootstrapd = {
    enable = true;
    extraConfig = ''
      enable_ipv6 = true
      enable_lan_discovery = true
      enable_tcp_relay = true
      tcp_relay_ports = [443, 3389, 33445]
      enable_motd = true
      motd = "<<</>>"
      bootstrap_nodes = (
        {
          address = "2a01:4f8:120:4091::3"
          port = 33445
          public_key = "02807CF4F8BB8FB390CC3794BDF1E8449E9A8392C5D3F2200019DA9F1E812E46"
        },
        {
          address = "87.118.126.207"
          port = 33445
          public_key = "0D303B1778CA102035DA01334E7B1855A45C3EFBC9A83B9D916FFDEBC6DD3B2E"
        },
        {
          address = "46.229.52.198"
          port = 33445
          public_key = "813C8F4187833EF0655B10F7752141A352248462A567529A38B6BBF73E979307"
        },
        {
          address = "2001:1470:fbfe::109"
          port = 33445
          public_key = "813C8F4187833EF0655B10F7752141A352248462A567529A38B6BBF73E979307"
        }
      )
    '';
  };

  services.collectd.extraConfig = ''
    <Plugin "interface"/>
    <Plugin "load"/>
  '';

}
